Bug 120371 - udev overwriting /dev entries and loosing file context.
udev overwriting /dev entries and loosing file context.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-07 23:50 EDT by Daniel Walsh
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-21 09:54:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Walsh 2004-04-07 23:50:02 EDT
Description of problem:
udev is turned on by hotplug in the 4-6-2004 build and is overwriting
/dev/ directory.  Several files written by it have the wrong file
context /dev/fd0, /dev/lp0, /dev/dsp

According to Notting udev should not be on by default and writing over
 /dev.  Also it should be maintaining the security context of files. 
I put in a patch for this, but it does not seem to be being installed.
Comment 1 Forrest 2004-04-12 16:27:51 EDT
Not only does it overwrite several files in the /dev directory, it
also REMOVES them when it shuts down (like at reboot).  Linux just
doesn't like it when /dev/null, /dev/hda* and /dev/tty* are missing :o)
Comment 2 Harald Hoyer 2004-04-21 09:54:53 EDT
should be fixed now

Note You need to log in before you can comment on or make changes to this bug.